function isNumberKey(evt)
{
   var charCode = (evt.which) ? evt.which : evt.keyCode;
   if (charCode != 46 && charCode > 31 
     && (charCode < 48 || charCode > 57))
      return false;

   return true;
}

$(document).ready(function(){

	//******** reg03_uso_de_la_tierra ********
	var l20_total_hectareas = 0;
	for (i = 1; i < 6; i++) {
	    l20_total_hectareas = parseFloat(l20_total_hectareas) + parseFloat($('#l20_2_' + i ).val());
	}

	$('#l20_total_hectareas').val(l20_total_hectareas.toFixed(3));

	$('.superficie').keyup(function(e){
		e.preventDefault();
		//var aux = 0;
		var id = $(this).attr("id");
		aux = $('#' + id).val();
//
		//if (aux) {
		//	if(aux.indexOf('.') != -1){
		//		if(aux.indexOf('.0') == -1){
		//			$('#' + id).val(aux + '0');
		//		}
		//		
		//	}else{
		//		var val = aux.toFixed(4);
		//		$('#' + id).val(val);
		//	}	
		//}else{
		//	$('#' + id).val('00000.0000');
		//}

		if (!aux) {
			$('#' + id).val(0)	
		}
		
		var l20_total_hectareas = 0;
		for (i = 1; i < 6; i++) {
			l20_total_hectareas = parseFloat(l20_total_hectareas) + parseFloat($('#l20_2_' + i ).val());
		}

		$('#l20_total_hectareas').val(l20_total_hectareas);
	});

	//******** reg04_cultivos_agricolas ********
	$('#l22_1_cod').change(function(e){
		$("#btn-cultivos").prop(								'disabled', false);
	});
	//******** FIN reg04_cultivos_agricolas ********

	//******** reg05_produccion_ganadera ********
	$('#l23_1').change(function(e){
		var val = this.value;
		if (val == 8) {
			$('.especificar').append('<input class="form-control" value="" type="text" id="l23_1_esp" name="l23_1_esp" placeholder="Descripción">');
			$('#l23_1_esp').focus();
		}else{
			$('.especificar').empty();
		}
	});
	//******** FIN reg05_produccion_ganadera ********

	//******** reg06_asistencia_crediticia ********
	$('#l24_1').change(function(e){
		var val = this.value;
		if (val == 7) {
			$('.especificar').append('<input class="form-control" value="" type="text" id="l24_1_esp" name="l24_1_esp" placeholder="Asistencia">');
			$('#l24_1_esp').focus();
		}else{
			$('.especificar').empty();
		}
	});
	//******** FIN reg06_asistencia_crediticia ********

	//******** reg07_asistencia_tecnica ********
	$('#l25_1').change(function(e){
		var val = this.value;
		if (val == 9) {
			$('.especificar').append('<input class="form-control" value="" type="text" id="l25_1_esp" name="l25_1_esp" placeholder="Asistencia">');
			$('#l25_1_esp').focus();
		}else{
			$('.especificar').empty();
		}
	});
	//******** FIN reg07_asistencia_tecnica ********

	//******** reg08_organizacion_productor ********
	$('#l26_1').change(function(e){
		var val = this.value;
		if (val == 5) {
			$('.especificar').append('<input class="form-control" value="" type="text" id="l26_1_esp" name="l26_1_esp" placeholder="Producción">');
			$('#l26_1_esp').focus();
		}else{
			$('.especificar').empty();
		}
	});
	//******** FIN reg08_organizacion_productor ********

	//******** reg09_viviendas ********
	$('.personas').keyup(function(e){
		
		var aux = 0;
		var id = $(this).attr("id");
		aux = $('#' + id).val();
		var total_p = 0;

		if (isNaN(aux)) {
			$('#' + id).val('0');

			total_p = parseInt(total_p) + parseInt($('#total_m').val()) + parseInt($('#total_h').val());

			$('#total_p').val(total_p);
		}else{

			var total_m = $('#total_m').val();
			if (!total_m) {
				total_m = 0;
			}
			var total_h = $('#total_h').val();
			if (!total_h) {
				total_h = 0;
			}
			
			total_p = parseInt(total_p) + parseInt(total_m) + parseInt(total_h);

			$('#total_p').val(total_p);
		}
	});
	//******** FIN reg09_viviendas ********
	
/*
	//******* reg02_datos_del_lote ********
	var l07 = $('#l07').val();
	var institucion_organizacion = $('#institucion_organizacion').val();
	
	if (institucion_organizacion != 1) {
		$('#institucion_especificar').attr('disabled','disabled');
	}

	if (l07 == 5) {
		$('#propietario_otro_pariente').focus();
		$("#l07_esp").prop(								'disabled', true);
	}else if (l07 == 8) {
		$("#l07_esp").prop(								'disabled', false);
		$("#propietario_otro_pariente").prop(			'disabled', true);
		$('#l07_esp').focus();
	}else{
		$("#l07_esp").prop(								'disabled', true);
		$("#propietario_otro_pariente").prop(			'disabled', true);
	}

	$('#institucion_organizacion').change(function(e){
		e.preventDefault();
		var institucion_organizacion = this.value;
		if (institucion_organizacion == 1) {
			$("#institucion_especificar").prop(			'disabled', false);
			$('#institucion_especificar').focus();
		}else {
			$("#institucion_especificar").prop(			'disabled', true);
		}
	})

	$('#l07').change(function(e){
		e.preventDefault();
		var l07 = this.value;
		if (l07 == 5) {
			$("#propietario_otro_pariente").prop(		'disabled', false);
			$('#propietario_otro_pariente').focus();
			$("#l07_esp").prop(							'disabled', true);
		}else if (l07 == 8) {
			$("#l07_esp").prop(							'disabled', false);
			$("#propietario_otro_pariente").prop(		'disabled', true);
			$('#l07_esp').focus();
		}else{
			$("#l07_esp").prop(							'disabled', true);
			$("#propietario_otro_pariente").prop(		'disabled', true);
		}
	})
	//******** FIN reg02_datos_del_lote ********


	//******** reg02_ocup_i ********
	if ($('#l18_1').val() != 1) {
		$("#l18_1_a").prop(								'disabled', true);
		$("#l18_1_b").prop(								'disabled', true);
		$("#l18_1_e").prop(								'disabled', true);
		$("#l18_1_d").prop(								'disabled', true);

		$("#l18_8_4_a").prop(							'disabled',	true);
		$("#ci_beneficiario").prop(						'disabled',	true);
		$("#sexo_beneficiario").prop(					'disabled',	true);
		$("#fecha_titulo").prop(						'disabled',	true);
		$("#superficie_documento").prop(				'disabled',	true);
		$("#condicion_titulo").prop(					'disabled',	true);
		$("#locageo_distinto").prop(					'disabled',	true);
		$("#lote_doc").prop(							'disabled',	true);
		$("#manzana_doc").prop(							'disabled',	true);
		$("#fraccion_doc").prop(						'disabled',	true);

		$("select[name=sexo_beneficiario]").selectpicker("refresh");
		$("select[name=condicion_titulo]").selectpicker("refresh");
		$("select[name=locageo_distinto]").selectpicker("refresh");
	}

	$('#l18_1').change(function(e){
		e.preventDefault();
		var l18_1 = this.value;
		if (l18_1 == 1) {
			$("#l18_1_a").prop(							'disabled',	false);
			$("#l18_1_b").prop(							'disabled',	false);
			$("#l18_1_e").prop(							'disabled',	false);
			$("#l18_1_d").prop(							'disabled',	false)	
	
			$("#l18_8_4_a").prop(						'disabled',	false);
			$("#ci_beneficiario").prop(					'disabled',	false);
			$("#sexo_beneficiario").prop(				'disabled',	false);
			$("#fecha_titulo").prop(					'disabled',	false);
			$("#superficie_documento").prop(			'disabled',	false);
			$("#condicion_titulo").prop(				'disabled',	false);
			$("#locageo_distinto").prop(				'disabled',	false);
			$("#lote_doc").prop(						'disabled',	false);
			$("#manzana_doc").prop(						'disabled',	false);
			$("#fraccion_doc").prop(					'disabled',	false);

			$("select[name=sexo_beneficiario]").selectpicker("refresh");
			$("select[name=condicion_titulo]").selectpicker("refresh");
			$("select[name=locageo_distinto]").selectpicker("refresh");

			$('#l18_1_a').focus();
		}else {
			$("#l18_1_a").prop(							'disabled', true);
			$("#l18_1_b").prop(							'disabled', true);
			$("#l18_1_e").prop(							'disabled', true);
			$("#l18_1_d").prop(							'disabled', true);

			$("#l18_8_4_a").prop(						'disabled',	true);
			$("#ci_beneficiario").prop(					'disabled',	true);
			$("#sexo_beneficiario").prop(				'disabled',	true);
			$("#fecha_titulo").prop(					'disabled',	true);
			$("#superficie_documento").prop(			'disabled',	true);
			$("#condicion_titulo").prop(				'disabled',	true);
			$("#locageo_distinto").prop(				'disabled',	true);
			$("#lote_doc").prop(						'disabled',	true);
			$("#manzana_doc").prop(						'disabled',	true);
			$("#fraccion_doc").prop(					'disabled',	true);

			$("select[name=sexo_beneficiario]").selectpicker("refresh");
			$("select[name=condicion_titulo]").selectpicker("refresh");
			$("select[name=locageo_distinto]").selectpicker("refresh");

			$('#l18_2').focus();
		}
	})

	if ($('#l18_2').val() != 1) {
		$("#fecha_contrato_1").prop(					'disabled',	true);
		$("#l18_8_1").prop(								'disabled',	true);
		$("#ci_1_contrato_1").prop(						'disabled',	true);
		$("#l18_8_2").prop(								'disabled',	true);
		$("#ci_2_contrato_1").prop(						'disabled',	true);
		  		
		$("#fecha_contrato_2").prop(					'disabled',	true);
		$("#otorgado_contrato_2").prop(					'disabled',	true);
		$("#ci_1_contrato_2").prop(						'disabled',	true);
		$("#a_favor_contrato_2").prop(					'disabled',	true);
		$("#ci_2_contrato_2").prop(						'disabled',	true);
	
		$("#transferencia_inmueble").prop(				'disabled',	true);
		$("#fecha_transferencia").prop(					'disabled',	true);
		$("#transferencia_otorgado").prop(				'disabled',	true);
		$("#ci_otorgo_transferencia").prop(				'disabled',	true);
		$("#transferencia_favor").prop(					'disabled',	true);
		$("#ci_recibio_transferencia").prop(			'disabled',	true);
	}

	$('#l18_2').change(function(e){
		e.preventDefault();
		var l18_2 = this.value;
		if (l18_2 == 1) {
			$("#fecha_contrato_1").prop(				'disabled',	false);
			$("#l18_8_1").prop(							'disabled',	false);
			$("#ci_1_contrato_1").prop(					'disabled',	false);
			$("#l18_8_2").prop(							'disabled',	false);
			$("#ci_2_contrato_1").prop(					'disabled',	false);
	  		
			$("#fecha_contrato_2").prop(				'disabled',	false);
			$("#otorgado_contrato_2").prop(				'disabled',	false);
			$("#ci_1_contrato_2").prop(					'disabled',	false);
			$("#a_favor_contrato_2").prop(				'disabled',	false);
			$("#ci_2_contrato_2").prop(					'disabled',	false);
			$("#transferencia_inmueble").prop(			'disabled',	false);
			$("#fecha_transferencia").prop(				'disabled',	false);
			$("#transferencia_otorgado").prop(			'disabled',	false);
			$("#ci_otorgo_transferencia").prop(			'disabled',	false);
			$("#transferencia_favor").prop(				'disabled',	false);
			$("#ci_recibio_transferencia").prop(		'disabled',	false);
			$('#fecha_contrato_1').focus();
		}else {
			//window.location.href = 'http://desarrollo.sirt/intranet2/cuest/reg01/reg02_ocup_ii';
			$("#fecha_contrato_1").prop(				'disabled',	true);
			$("#l18_8_1").prop(							'disabled',	true);
			$("#ci_1_contrato_1").prop(					'disabled',	true);
			$("#l18_8_2").prop(							'disabled',	true);
			$("#ci_2_contrato_1").prop(					'disabled',	true);
	 	
			$("#fecha_contrato_2").prop(				'disabled',	true);
			$("#otorgado_contrato_2").prop(				'disabled',	true);
			$("#ci_1_contrato_2").prop(					'disabled',	true);
			$("#a_favor_contrato_2").prop(				'disabled',	true);
			$("#ci_2_contrato_2").prop(					'disabled',	true);
			$("#transferencia_inmueble").prop(			'disabled',	true);
			$("#fecha_transferencia").prop(				'disabled',	true);
			$("#transferencia_otorgado").prop(			'disabled',	true);
			$("#ci_otorgo_transferencia").prop(			'disabled',	true);
			$("#transferencia_favor").prop(				'disabled',	true);
			$("#ci_recibio_transferencia").prop(		'disabled',	true);
		}
	})
	//******** FIN reg02_ocup_i ********


	//******** reg02_ocup_ii ********
	var adjudicacion = $('#adjudicacion').val();
	if (adjudicacion == 1) {
		$("#nombre_adjudicado").prop(					'disabled', false);
		$("#nro_resolucion").prop(						'disabled', false);
		$("#fecha_adjudicacion").prop(					'disabled', false);
		$('#nombre_adjudicado').focus();	
	}else {	
		$("#nombre_adjudicado").prop(					'disabled', true);
		$("#nro_resolucion").prop(						'disabled', true);
		$("#fecha_adjudicacion").prop(					'disabled', true);
		$('#l18_3').focus();
	}

	$('#adjudicacion').change(function(e){
		e.preventDefault();
		var adjudicacion = this.value;
		if (adjudicacion == 1) {
			$("#nombre_adjudicado").prop(				'disabled', false);
			$("#nro_resolucion").prop(					'disabled', false);
			$("#fecha_adjudicacion").prop(				'disabled', false);
			$('#nombre_adjudicado').focus();
		}else {
			$("#nombre_adjudicado").prop(				'disabled', true);
			$("#nro_resolucion").prop(					'disabled', true);
			$("#fecha_adjudicacion").prop(				'disabled', true);
			$('#l18_3').focus();
		}
	})

	var l18_4 = $('#l18_4').val();
	if (l18_4 == 1) {
		$("#nro_recibo_1").prop(						'disabled', false);
		$("#fecha_recibo_1").prop(						'disabled', false);
		$("#nombre_recibo_1").prop(						'disabled', false);
		$("#ci_recibo_1").prop(							'disabled', false);
	
		$("#nro_recibo_2").prop(						'disabled', false);
		$("#fecha_recibo_2").prop(						'disabled', false);
		$("#nombre_recibo_2").prop(						'disabled', false);
		$("#ci_recibo_2").prop(							'disabled', false);
	
		$("#nro_recibo_3").prop(						'disabled', false);
		$("#fecha_recibo_3").prop(						'disabled', false);
		$("#nombre_recibo_3").prop(						'disabled', false);
		$("#ci_recibo_3").prop(							'disabled', false);
			
		$('#nro_recibo_1').focus();	
	}else {	
		$("#nro_recibo_1").prop(						'disabled', true);
		$("#fecha_recibo_1").prop(						'disabled', true);
		$("#nombre_recibo_1").prop(						'disabled', true);
		$("#ci_recibo_1").prop(							'disabled', true);
	
		$("#nro_recibo_2").prop(						'disabled', true);
		$("#fecha_recibo_2").prop(						'disabled', true);
		$("#nombre_recibo_2").prop(						'disabled', true);
		$("#ci_recibo_2").prop(							'disabled', true);
	
		$("#nro_recibo_3").prop(						'disabled', true);
		$("#fecha_recibo_3").prop(						'disabled', true);
		$("#nombre_recibo_3").prop(						'disabled', true);
		$("#ci_recibo_3").prop(							'disabled', true);

		$('#estado_cuenta').focus();
	}

	$('#l18_4').change(function(e){
		e.preventDefault();
		var l18_4 = this.value;
		if (l18_4 == 1) {
			$("#nro_recibo_1").prop(					'disabled', false);
			$("#fecha_recibo_1").prop(					'disabled', false);
			$("#nombre_recibo_1").prop(					'disabled', false);
			$("#ci_recibo_1").prop(						'disabled', false);

			$("#nro_recibo_2").prop(					'disabled', false);
			$("#fecha_recibo_2").prop(					'disabled', false);
			$("#nombre_recibo_2").prop(					'disabled', false);
			$("#ci_recibo_2").prop(						'disabled', false);

			$("#nro_recibo_3").prop(					'disabled', false);
			$("#fecha_recibo_3").prop(					'disabled', false);
			$("#nombre_recibo_3").prop(					'disabled', false);
			$("#ci_recibo_3").prop(						'disabled', false);
			
			$('#nro_recibo_1').focus();
		}else {
			$("#nro_recibo_1").prop(					'disabled', true);
			$("#fecha_recibo_1").prop(					'disabled', true);
			$("#nombre_recibo_1").prop(					'disabled', true);
			$("#ci_recibo_1").prop(						'disabled', true);

			$("#nro_recibo_2").prop(					'disabled', true);
			$("#fecha_recibo_2").prop(					'disabled', true);
			$("#nombre_recibo_2").prop(					'disabled', true);
			$("#ci_recibo_2").prop(						'disabled', true);

			$("#nro_recibo_3").prop(					'disabled', true);
			$("#fecha_recibo_3").prop(					'disabled', true);
			$("#nombre_recibo_3").prop(					'disabled', true);
			$("#ci_recibo_3").prop(						'disabled', true);

			$('#estado_cuenta').focus();
		}
	})

	var l18_5 = $('#l18_5').val();
	if (l18_5 == 1) {
		$("#l18_5_a").prop(								'disabled', false);
		$("#l18_5_b").prop(								'disabled', false);
		$("#solicitante_exp").prop(						'disabled',	false);
		$("#ci_solicitante").prop(						'disabled', false);
		$("#sexo_solicitante").prop(					'disabled', false);
	
		$("#nro_expediente_2").prop(					'disabled', false);
		$("#anho_expediente_2").prop(					'disabled', false);
		$("#solicitante_exp_2").prop(					'disabled', false);
		$("#ci_solicitante_2").prop(					'disabled', false);
		$("#sexo_solicitante_2").prop(					'disabled', false);
	
		$("#nro_expediente_3").prop(					'disabled', false);
		$("#anho_expediente_3").prop(					'disabled', false);
		$("#solicitante_exp_3").prop(					'disabled', false);
		$("#ci_solicitante_3").prop(					'disabled', false);
		$("#sexo_solicitante_3").prop(					'disabled', false);
			
	}else {	
		$("#l18_5_a").prop(								'disabled', true);
		$("#l18_5_b").prop(								'disabled', true);
		$("#solicitante_exp").prop(						'disabled',	true);
		$("#ci_solicitante").prop(						'disabled', true);
		$("#sexo_solicitante").prop(					'disabled', true);
	
		$("#nro_expediente_2").prop(					'disabled', true);
		$("#anho_expediente_2").prop(					'disabled', true);
		$("#solicitante_exp_2").prop(					'disabled', true);
		$("#ci_solicitante_2").prop(					'disabled', true);
		$("#sexo_solicitante_2").prop(					'disabled', true);
	
		$("#nro_expediente_3").prop(					'disabled', true);
		$("#anho_expediente_3").prop(					'disabled', true);
		$("#solicitante_exp_3").prop(					'disabled', true);
		$("#ci_solicitante_3").prop(					'disabled', true);
		$("#sexo_solicitante_3").prop(					'disabled', true);
	}

	$('#l18_5').change(function(e){
		e.preventDefault();
		var l18_5 = this.value;
		if (l18_5 == 1) {
			$("#l18_5_a").prop(							'disabled', false);
			$("#l18_5_b").prop(							'disabled', false);
			$("#solicitante_exp").prop(					'disabled',	false);
			$("#ci_solicitante").prop(					'disabled', false);
			$("#sexo_solicitante").prop(				'disabled', false);

			$("#nro_expediente_2").prop(				'disabled', false);
			$("#anho_expediente_2").prop(				'disabled', false);
			$("#solicitante_exp_2").prop(				'disabled', false);
			$("#ci_solicitante_2").prop(				'disabled', false);
			$("#sexo_solicitante_2").prop(				'disabled', false);

			$("#nro_expediente_3").prop(				'disabled', false);
			$("#anho_expediente_3").prop(				'disabled', false);
			$("#solicitante_exp_3").prop(				'disabled', false);
			$("#ci_solicitante_3").prop(				'disabled', false);
			$("#sexo_solicitante_3").prop(				'disabled', false);
			
			$('#l18_5_a').focus();
		}else {
			$("#l18_5_a").prop(							'disabled', true);
			$("#l18_5_b").prop(							'disabled', true);
			$("#solicitante_exp").prop(					'disabled',	true);
			$("#ci_solicitante").prop(					'disabled', true);
			$("#sexo_solicitante").prop(				'disabled', true);

			$("#nro_expediente_2").prop(				'disabled', true);
			$("#anho_expediente_2").prop(				'disabled', true);
			$("#solicitante_exp_2").prop(				'disabled', true);
			$("#ci_solicitante_2").prop(				'disabled', true);
			$("#sexo_solicitante_2").prop(				'disabled', true);

			$("#nro_expediente_3").prop(				'disabled', true);
			$("#anho_expediente_3").prop(				'disabled', true);
			$("#solicitante_exp_3").prop(				'disabled', true);
			$("#ci_solicitante_3").prop(				'disabled', true);
			$("#sexo_solicitante_3").prop(				'disabled', true);

			//$('#estado_cuenta').focus();
		}
	})

	//******** FIN reg02_ocup_ii ********


	//******** reg02_ocup_iii ********
	var l18_6 = $('#l18_5').val();
	if (l18_6 == 1) {
		$("#l18_6_esp").prop(							'disabled', false);
	}else {
		$("#l18_6_esp").prop(							'disabled', true);
	}

	$('#l18_6').change(function(e){
		e.preventDefault();
		var l18_6 = this.value;
		if (l18_6 == 1) {
			$("#l18_6_esp").prop(						'disabled', false);
			$('#l18_6_esp').focus();
		}else {
			$("#l18_6_esp").prop(						'disabled', true);
			
			$('#l18_7').focus();
		}
	})

	var tiene_const_ocupacion = $('#tiene_const_ocupacion').val();
	if (tiene_const_ocupacion == 1) {
		$("#nombre_const_ocupacion").prop(				'disabled', false);
		$("#fecha_const_ocupacion").prop(				'disabled', false);
	}else {
		$("#nombre_const_ocupacion").prop(				'disabled', true);
		$("#fecha_const_ocupacion").prop(				'disabled', true);
	}

	$('#tiene_const_ocupacion').change(function(e){
		e.preventDefault();
		var tiene_const_ocupacion = this.value;
		if (tiene_const_ocupacion == 1) {
			$("#nombre_const_ocupacion").prop(			'disabled', false);
			$("#fecha_const_ocupacion").prop(			'disabled', false);
			$('#nombre_const_ocupacion').focus();
		}else {
			$("#nombre_const_ocupacion").prop(			'disabled', true);
			$("#fecha_const_ocupacion").prop(			'disabled', true);
			
			$('#cambio_ocupante_actual').focus();
		}
	})


	var cambio_ocupante_actual = $('#cambio_ocupante_actual').val();

	if (cambio_ocupante_actual == 1) {
		var ocupante_actual 	= $('#ocupante_actual').val();
		var ci_ocupante  		= $('#ci_ocupante').val();
		var telefono_ocupante  	= $('#telefono_ocupante').val();

		$('#ocupante_durante_censo').val(ocupante_actual);
		$('#ci_ocupante_ant_censo').val(ci_ocupante);
		$('#telefono_ocupante_ant_censo').val(telefono_ocupante);


		$("#ocupante_durante_censo").prop(				'disabled', false);
		$("#ci_ocupante_ant_censo").prop(				'disabled', false);
		$("#telefono_ocupante_ant_censo").prop(			'disabled', false);
		$("#ocupante_durante_censo").prop(				'disabled', false);
			
		$('#ocupante_actual').val('');	
		$("#ocupante_actual").prop(						'disabled', true);
		$('#ci_ocupante').val('');	
		$("#ci_ocupante").prop(							'disabled', true);
		$('#telefono_ocupante').val('');	
		$("#telefono_ocupante").prop(					'disabled', true);
		$("#conoce_telef_ocupante").prop(				'disabled', true);

		$("select[name=conoce_telef_ocupante]").selectpicker("refresh");


	}else if (cambio_ocupante_actual == 6){
		var ocupante_durante_censo 		= $('#ocupante_durante_censo').val();
		var ci_ocupante_ant_censo  		= $('#ci_ocupante_ant_censo').val();
		var telefono_ocupante_ant_censo = $('#telefono_ocupante_ant_censo').val();

		$('#ocupante_actual').val(ocupante_durante_censo);
		$('#ci_ocupante').val(ci_ocupante_ant_censo);
		$('#telefono_ocupante').val(telefono_ocupante_ant_censo);


		$("#ocupante_actual").prop(						'disabled', false);
		$("#ci_ocupante").prop(							'disabled', false);
		$("#telefono_ocupante").prop(					'disabled', false);
		$("#conoce_telef_ocupante").prop(				'disabled', false);
	
		$('#ocupante_durante_censo').val('');	
		$("#ocupante_durante_censo").prop(				'disabled', true);
		$('#ci_ocupante_ant_censo').val('');	
		$("#ci_ocupante_ant_censo").prop(				'disabled', true);
		$('#telefono_ocupante_ant_censo').val('');	
		$("#telefono_ocupante_ant_censo").prop(			'disabled', true);
		$("#ocupante_durante_censo").prop(				'disabled', true);

		$("select[name=conoce_telef_ocupante]").selectpicker("refresh");

	}

	$('#cambio_ocupante_actual').change(function(e){
		e.preventDefault();
		var cambio_ocupante_actual = this.value;
		if (cambio_ocupante_actual == 1) {
			var ocupante_actual 	= $('#ocupante_actual').val();
			var ci_ocupante  		= $('#ci_ocupante').val();
			var telefono_ocupante  	= $('#telefono_ocupante').val();

			$('#ocupante_durante_censo').val(ocupante_actual);
			$('#ci_ocupante_ant_censo').val(ci_ocupante);
			$('#telefono_ocupante_ant_censo').val(telefono_ocupante);


			$("#ocupante_durante_censo").prop(			'disabled', false);
			$("#ci_ocupante_ant_censo").prop(			'disabled', false);
			$("#telefono_ocupante_ant_censo").prop(		'disabled', false);
			$("#ocupante_durante_censo").prop(			'disabled', false);
			
			$('#ocupante_actual').val('');
			$("#ocupante_actual").prop(					'disabled', true);
			$('#ci_ocupante').val('');
			$("#ci_ocupante").prop(						'disabled', true);
			$('#telefono_ocupante').val('');
			$("#telefono_ocupante").prop(				'disabled', true);
			$("#conoce_telef_ocupante").prop(			'disabled', true);

			$("select[name=conoce_telef_ocupante]").selectpicker("refresh");

			$('#ci_ocupante_ant_censo').focus();

		}else {
			var ocupante_durante_censo 		= $('#ocupante_durante_censo').val();
			var ci_ocupante_ant_censo  		= $('#ci_ocupante_ant_censo').val();
			var telefono_ocupante_ant_censo = $('#telefono_ocupante_ant_censo').val();

			$('#ocupante_actual').val(ocupante_durante_censo);
			$('#ci_ocupante').val(ci_ocupante_ant_censo);
			$('#telefono_ocupante').val(telefono_ocupante_ant_censo);


			$("#ocupante_actual").prop(					'disabled', false);
			$("#ci_ocupante").prop(						'disabled', false);
			$("#telefono_ocupante").prop(				'disabled', false);
			$("#conoce_telef_ocupante").prop(			'disabled', false);

			$('#ocupante_durante_censo').val('');
			$("#ocupante_durante_censo").prop(			'disabled', true);
			$('#ci_ocupante_ant_censo').val('');
			$("#ci_ocupante_ant_censo").prop(			'disabled', true);
			$('#telefono_ocupante_ant_censo').val('');
			$("#telefono_ocupante_ant_censo").prop(		'disabled', true);
			$("#ocupante_durante_censo").prop(			'disabled', true);

			$("select[name=conoce_telef_ocupante]").selectpicker("refresh");

			$('#ocupante_actual').focus();
		}
	})

	var conoce_telef_ocupante = $('#conoce_telef_ocupante').val();
	
	$('#conoce_telef_ocupante').change(function(e){
		e.preventDefault();
		var conoce_telef_ocupante = this.value;

		if (conoce_telef_ocupante == 1) {
			$("#telefono_ocupante").prop(				'disabled', false);
			$('#telefono_ocupante').focus();
		}else {
			$("#telefono_ocupante").prop(				'disabled', true);
		}
	})

	var mapear = $('#mapear').val();
	if (mapear == 5) {
		$("#lote_urbano").prop(							'disabled', false);
		$('#lote_urbano').focus();
	}else {
		$("#lote_urbano").prop(							'disabled', true);
	}

	$('#mapear').change(function(e){
		e.preventDefault();
		var mapear = this.value;

		if (mapear == 5) {
			$("#lote_urbano").prop(						'disabled', false);
			$('#lote_urbano').focus();
		}else {
			$("#lote_urbano").prop(						'disabled', true);
		}
	})


	var nacionalidad = $('#nacionalidad').val();
	if (nacionalidad == 6) {
		$("#especificar_nacionalidad").prop(			'disabled', false);
		$('#especificar_nacionalidad').focus();
	}else {
		//$("#especificar_nacionalidad").val('');
		$("#especificar_nacionalidad").prop(			'disabled', true);
		$('#nacionalizacion').focus();
	}

	$('#nacionalidad').change(function(e){
		e.preventDefault();
		var nacionalidad = this.value;

		if (nacionalidad == 6) {
			$("#especificar_nacionalidad").prop(		'disabled', false);
			$('#especificar_nacionalidad').focus();

		}else if (nacionalidad >= 2 && nacionalidad <= 5) {

			$("#especificar_nacionalidad").prop(		'disabled', true);
			$('#nacionalizacion').focus();
		}
	})

	var salto = $('#salto').val();
	if (salto == 1) {
		//$("#fecha_ocupacion").prop(						'disabled', false);
		$('#fecha_ocupacion').focus();
	}else if (salto == 6) {}{
		$('#fecha_ocupacion').val('');
		//$("#fecha_ocupacion").prop(						'disabled', true);
		$('#l10gper').focus();
	}

	$('#salto').change(function(e){
		e.preventDefault();
		var salto = this.value;

		if (salto == 1) {
			//$("#fecha_ocupacion").prop(					'disabled', false);
			
			$('#fecha_ocupacion').focus();
		}else if (salto == 6) {}{
			$('#fecha_ocupacion').val('');
			//$("#fecha_ocupacion").prop(					'disabled', true);

			
			$('#l10gper').focus();
		}
	})

	var l14 = $('#l14').val();
	if (l14 == 1) {
		$("#l15").prop(										'disabled', false);
		$("#l16_1").prop(									'disabled', false);
		$("#l16_2").prop(									'disabled', false);

	}else{
		$("#l15").prop(										'disabled', true);
		$("#l16_1").prop(									'disabled', true);
		$("#l16_2").prop(									'disabled', true);
	}

	$('#l14').change(function(e){
		e.preventDefault();
		var l14 = this.value;

		if (l14 == 1) {
			$("#l15").prop(									'disabled', false);
			$("#l16_1").prop(								'disabled', false);
			$("#l16_2").prop(								'disabled', false);
			$("select[name=l16_1]").selectpicker("refresh");
			$('#l15').focus();
		}else{
			$("#l15").prop(									'disabled', true);
			$("#l16_1").prop(								'disabled', true);
			$("#l16_2").prop(								'disabled', true);
			$("select[name=l16_1]").selectpicker("refresh");
		}
	})


	var l16_1 = $('#l16_1').val();
	if (l16_1 == 1) {
		$("#l16_2").prop(									'disabled', false);
	}else{
		$("#l16_2").prop(									'disabled', true);
	}

	$('#l16_1').change(function(e){
		e.preventDefault();
		var l16_1 = this.value;
		if (l16_1 == 1) {
			$("#l16_2").prop(								'disabled', false);
			$('#l16_2').focus();
		}else{
			$("#l16_2").prop(								'disabled', true);
			$('#l19').focus();
		}
	})
	//******** FIN reg02_ocup_iii ********


	//******** reg03_uso_de_la_tierra ********
	var l20_total_hectareas = 0;
	for (i = 1; i < 6; i++) {
	    l20_total_hectareas = parseFloat(l20_total_hectareas) + parseFloat($('#l20_2_' + i ).val());
	}

	$('#l20_total_hectareas').val(l20_total_hectareas.toFixed(3));

	$('.superficie').keyup(function(e){
		var aux = 0;
		var id = $(this).attr("id");
		aux = $('#' + id).val();

		if (aux) {
			if(aux.indexOf('.') != -1){
				if(aux.indexOf('.0') == -1){
					$('#' + id).val(aux + '0');
				}
				
			}else{
				var val = aux.toFixed(4);
				$('#' + id).val(val);
			}	
		}else{
			$('#' + id).val('00000.0000');
		}
		
		var l20_total_hectareas = 0;
		for (i = 1; i < 6; i++) {
		    l20_total_hectareas = parseFloat(l20_total_hectareas) + parseFloat($('#l20_2_' + i ).val());
		}

		$('#l20_total_hectareas').val(l20_total_hectareas.toFixed(4));
	});


	var l21_12 = $('#l21_12').val();
	if (l21_12 == 1) {
		$('#l21_12_esp').prop('disabled', false);
		$('#l21_12_esp').focus();
	}else{
		$('#l21_12_esp').prop('disabled', true);
	}

	$('#l21_12').change(function(e){
		var l21_12 = this.value;
		if (l21_12 == 1) {
			$('#l21_12_esp').prop('disabled', false);
			$('#l21_12_esp').focus();
		}else{
			$('#l21_12_esp').prop('disabled', true);
		}
	});

	//******** FIN reg03_uso_de_la_tierra ********


	//******** reg09_viviendas ********
	var v01 = $('#v01').val();
	if (v01 >= 1 && v01 < 8) {
		$('#v01_esp').prop(								'disabled', true);
		
	}else if (v01 == 8) {
		$('#v01_esp').prop(								'disabled', false);
		$('#v01_esp').focus();
	}else{
		$('#v01_esp').prop(								'disabled', true);
	}

	$('#v01').change(function(e){
		var v01 = this.value;
		if (v01 >= 1 && v01 < 8) {
			$('#v01_esp').prop(							'disabled', true);
		}else if (v01 == 8) {
			$('#v01_esp').prop(							'disabled', false);
			$('#v01_esp').focus();
		}else{
			$('#v01_esp').prop(							'disabled', true);
		}
	});


	var v02 = $('#v02').val();
	if (v02 >= 1 && v02 < 8) {
		$('#v02_esp').prop(								'disabled', true);
		
	}else if (v02 == 8) {
		$('#v02_esp').prop(								'disabled', false);
		$('#v02_esp').focus();
	}else{
		$('#v02_esp').prop(								'disabled', true);
	}

	$('#v02').change(function(e){
		var v02 = this.value;
		if (v02 >= 1 && v02 < 8) {
			$('#v02_esp').prop(							'disabled', true);
		}else if (v02 == 8) {
			$('#v02_esp').prop(							'disabled', false);
			$('#v02_esp').focus();
		}else{
			$('#v02_esp').prop(							'disabled', true);
		}
	});


	var v03 = $('#v03').val();
	if (v03 >= 1 && v03 < 8) {
		$('#v03_esp').prop(								'disabled', true);
		
	}else if (v03 == 8) {
		$('#v03_esp').prop(								'disabled', false);
		$('#v03_esp').focus();
	}else{
		$('#v03_esp').prop(								'disabled', true);
	}

	$('#v03').change(function(e){
		var v03 = this.value;
		if (v03 >= 1 && v03 < 5) {
			$('#v03_esp').prop(							'disabled', true);
		}else if (v03 == 5) {
			$('#v03_esp').prop(							'disabled', false);
			$('#v03_esp').focus();
		}else{
			$('#v03_esp').prop(							'disabled', true);
		}
	});


	var v07 = $('#v07').val();
	if (v07 >= 1 && v07 < 11 && v07 != 9) {
		$('#v07_esp').prop(								'disabled', true);
		
	}else if (v07 == 9) {
		$('#v07_esp').prop(								'disabled', false);
		$('#v07_esp').focus();
	}else{
		$('#v07_esp').prop(								'disabled', true);
	}

	$('#v07').change(function(e){
		var v07 = this.value;
		if (v07 >= 1 && v07 < 11 && v07 != 9) {
			$('#v07_esp').prop(							'disabled', true);
			
		}else if (v07 == 9) {
			$('#v07_esp').prop(							'disabled', false);
			$('#v07_esp').focus();
		}else{
			$('#v07_esp').prop(							'disabled', true);
		}
	});


	$('.personas').keyup(function(e){
		
		var aux = 0;
		var id = $(this).attr("id");
		aux = $('#' + id).val();
		var total_p = 0;

		if (isNaN(aux)) {
			$('#' + id).val('0');

			total_p = parseInt(total_p) + parseInt($('#total_m').val()) + parseInt($('#total_h').val());

			$('#total_p').val(total_p);
		}else{

			var total_m = $('#total_m').val();
			if (!total_m) {
				total_m = 0;
			}
			var total_h = $('#total_h').val();
			if (!total_h) {
				total_h = 0;
			}
			
			total_p = parseInt(total_p) + parseInt(total_m) + parseInt(total_h);

			$('#total_p').val(total_p);
		}
	});
	//******** FIN reg09_viviendas ********

	//******** reg06_asistencia_crediticia ********
	$('#l23_1').change(function(e){
		var val = this.value;
		if (val == 8) {
			$('.especificar').append('<input class="form-control" value="" type="text" id="l23_1_esp" name="l23_1_esp" placeholder="Descripción">');
			$('#l23_1_esp').focus();
		}else{
			$('.especificar').empty();
		}
	});
	//******** FIN reg06_asistencia_crediticia ********

	//******** reg06_asistencia_crediticia ********
	$('#l24_1').change(function(e){
		var val = this.value;
		if (val == 7) {
			$('.especificar').append('<input class="form-control" value="" type="text" id="l24_1_esp" name="l24_1_esp" placeholder="Entidad">');
			$('#l24_1_esp').focus();
		}else{
			$('.especificar').empty();
		}
	});
	//******** FIN reg06_asistencia_crediticia ********

	//******** reg07_asistencia_tecnica ********
	$('#l25_1').change(function(e){
		var val = this.value;
		if (val == 9) {
			$('.especificar').append('<input class="form-control" value="" type="text" id="l25_1_esp" name="l25_1_esp" placeholder="Entidad">');
			$('#l25_1_esp').focus();
		}else{
			$('.especificar').empty();
		}
	});
	//******** FIN reg07_asistencia_tecnica ********

	//******** reg08_organizacion_productor ********
	$('#l26_1').change(function(e){
		var val = this.value;
		if (val == 5) {
			$('.especificar').append('<input class="form-control" value="" type="text" id="l26_1_esp" name="l26_1_esp" placeholder="Entidad">');
			$('#l26_1_esp').focus();
		}else{
			$('.especificar').empty();
		}
	});



	**********************/



	//******** FIN reg08_organizacion_productor ********

	/**** EJEMPLO: para cambiar valores de un selectpicker ****/
	//Get the text using the value of select
	/**
	var text = $("select[name=institucion_organizacion] option[value='1']").text();
	$('.religioso .filter-option').text(text);
	$("#religioso").val(1);
	$("select[name=religioso]").selectpicker("refresh");
	**/
	/**** FIN EJEMPLO ****/

})

